// copyright 2022 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_IMPL_APPEARANCES_H
#define MIMIMI_IMPL_APPEARANCES_H

#include <mimimi/assets.h>

struct mimimi_sprite_image
{
	struct mimimi_image image;
	unsigned char colors[936];
};

static int mimimi_image_count = 8;
static int mimimi_animation_count = 4;

struct mimimi_animation
{
	struct mimimi_sprite_image images[8];
};

struct mimimi_animation_set
{
	struct mimimi_animation standing[4];
	struct mimimi_animation knocked;
};

struct mimimi_appearance
{
	struct mimimi_animation_set left, right;
};

#endif
