// copyright 2022 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_MODELS_H
#define MIMIMI_MODELS_H

struct mimimi_rotating_image_row
{
	int size;
	unsigned char count;
	unsigned char colors[64];
};

struct mimimi_rotating_image
{
	int count;
	int oy;
	int oz;
	struct mimimi_rotating_image_row rows[];
};

struct mimimi_model_layer
{
	int count;
	struct mimimi_rotating_image *images[];
};

struct mimimi_model
{
	struct mimimi_model_layer *head;
	struct mimimi_model_layer *torso;
	struct mimimi_model_layer *left_arm;
	struct mimimi_model_layer *right_arm;
	struct mimimi_model_layer *left_leg;
	struct mimimi_model_layer *right_leg;
};

#endif
