// copyright 2022 zamfofex
// license: AGPLv3 or later

#include <mimimi/models.h>

static struct mimimi_rotating_image mimimi_head_value =
{
	12, 11, 0,
	{
		{6, 1, {0xE6}},
		{8, 1, {0xE6}},
		{10, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{12, 1, {0xE6}},
		{10, 1, {0xE6}},
		{8, 1, {0xE6}},
		{6, 1, {0xE6}},
	},
};

static struct mimimi_rotating_image mimimi_torso_value =
{
	12, 10, 0,
	{
		{6, 1, {0xE6}},
		{8, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{10, 1, {0xE6}},
		{8, 1, {0xE6}},
		{6, 1, {0xE6}},
	},
};

static struct mimimi_rotating_image mimimi_arm_value =
{
	12, 2, 0,
	{
		{2, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{2, 1, {0xE6}},
	},
};

static struct mimimi_rotating_image mimimi_leg_value =
{
	12, 0, 0,
	{
		{2, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{4, 1, {0xE6}},
		{2, 1, {0xE6}},
	},
};

struct mimimi_rotating_image *mimimi_head = &mimimi_head_value;
struct mimimi_rotating_image *mimimi_torso = &mimimi_torso_value;
struct mimimi_rotating_image *mimimi_arm = &mimimi_arm_value;
struct mimimi_rotating_image *mimimi_leg = &mimimi_leg_value;

#include "crimson-squad.c"
#include "hebijo.c"
