// copyright 2022 zamfofex
// license: AGPLv3 or later

#ifndef MIMIMI_ALLOCATORS_H
#define MIMIMI_ALLOCATORS_H

struct mimimi_allocator
{
	void *(*allocate)(unsigned int size);
	void *(*reallocate)(void *data, unsigned int size);
	void (*deallocate)(void *data);
	void *null;
};

#endif
